
CephFS - Backport #25046

luminous: mds: create health warning if we detect metadata (journal) writes are slow

07/21/2018 03:28 AM - Patrick Donnelly

Status: Resolved   

Priority: Normal   

Assignee: Zheng Yan   

Target version: v12.2.9   

Release: luminous Crash signature (v2):  

Crash signature (v1):    

Description

https://github.com/ceph/ceph/pull/24171

Related issues:

Copied from CephFS - Bug #24879: mds: create health warning if we detect meta... Resolved 07/11/2018

History

#1 - 07/21/2018 03:28 AM - Patrick Donnelly

- Copied from Bug #24879: mds: create health warning if we detect metadata (journal) writes are slow added

#2 - 07/31/2018 02:40 AM - Prashant D

- Status changed from New to Need More Info

Some files are missing in luminous branch, e.g src/mds/OpenFileTable.cc

$ git status

On branch wip-25046-luminous

Your branch is up-to-date with 'upstream/luminous'.

You are currently cherry-picking commit 0f735f4031.

(fix conflicts and run "git cherry-pick --continue")

(use "git cherry-pick --abort" to cancel the cherry-pick operation)

Changes to be committed:

modified:   src/mds/Beacon.cc

    modified:   src/mds/CDir.cc

    modified:   src/mds/CInode.cc

    modified:   src/mds/MDCache.cc

    modified:   src/mds/MDLog.cc

    modified:   src/mds/MDSContext.cc

    modified:   src/mds/MDSContext.h

    modified:   src/mds/MDSRank.cc

    modified:   src/mds/MDSTable.cc

    modified:   src/mds/MDSTable.h

    modified:   src/mds/RecoveryQueue.cc

    modified:   src/mds/SessionMap.cc

    modified:   src/mds/StrayManager.cc

    modified:   src/messages/MMDSBeacon.h

 

Unmerged paths:

(use "git add/rm <file>..." as appropriate to mark resolution)

deleted by us:   src/mds/OpenFileTable.cc

 

Need inputs.
#3 - 08/02/2018 05:55 PM - Patrick Donnelly

@prashant, you can just skip OpenFileTable.cc patches.

#4 - 09/18/2018 06:37 PM - Patrick Donnelly

- Status changed from Need More Info to New

- Assignee set to Zheng Yan

#5 - 09/19/2018 12:56 PM - Zheng Yan

https://github.com/ceph/ceph/pull/24171

#6 - 09/20/2018 04:24 PM - Patrick Donnelly

- Description updated

- Status changed from New to In Progress

#7 - 09/26/2018 04:29 PM - Yuri Weinstein

Patrick Donnelly wrote:

https://github.com/ceph/ceph/pull/24171

 

merged

#8 - 09/26/2018 10:10 PM - Nathan Cutler

- Status changed from In Progress to Resolved

- Target version set to v12.2.9
